Subject: bug#3080: 23.0.92; emacsclient can not open frame without visiting file

From: Dan Nicolaescu <[email-masked]>
Date: Wed, 22 Apr 2009 14:25:04 -0700 (PDT)

Jameson Rollins <[email-masked]> writes:

  > emacsclient does not allow for opening a frame, either in a terminal
  > or in a new X frame, with*out* touching a file.  This is maybe only an
  > issue when emacs is run in --daemon mode where an initial frame is not
  > created.  It is often useful to open up an emacs without having a
  > particular file that needs to be editted, and this is not currently
  > possible.  In fact, I would prefer to see emacsclient behave more like
  > the "classical" emacs behaves.  I would like to see the following
  > behavior, that I think makes more sense and is more compatible with
  > the classic interface:
  > 
  > emacsclient
  >   opens up a new frame with *scratch*
does not work, it seems intentional, no idea why.

  > emacsclient <file>
  >   opens up a new frame with <file>

emacsclient -c <file>
does this

  > emacsclient -nw
  >   opens up a new frame in the current terminal with *scratch*

this works

  > emacsclient -nw <file>
  >   opens up a new frame in the current terminal with <file>

this works

  > emacsclient -<?> <file>
  >   opens up <file> in an already opened "master" frame

emacsclient <file> 
does this